> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the connection profiles



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json get /api/network/connection_profiles
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/network/connection_profiles:
    get:
      tags:
        - network
      summary: Get the connection profiles
      operationId: get_connection_profiles_api_network_connection_profiles_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ConnectionProfileModel'
                type: array
                title: >-
                  Response Get Connection Profiles Api Network Connection
                  Profiles Get
components:
  schemas:
    ConnectionProfileModel:
      properties:
        id:
          type: string
          title: Id
        path:
          type: string
          title: Path
        ipv4_settings:
          $ref: '#/components/schemas/IPV4Configuration'
      type: object
      required:
        - id
        - path
        - ipv4_settings
      title: ConnectionProfileModel
    IPV4Configuration:
      properties:
        ip_addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/IPV4Address'
              type: array
            - type: 'null'
          title: Ip Addresses
        gateway:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway
        method:
          $ref: '#/components/schemas/IPV4Method'
          default: unknown
        dns:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Dns
        never_default:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Never Default
      type: object
      title: IPV4Configuration
    IPV4Address:
      properties:
        address:
          type: string
          title: Address
        prefix:
          type: integer
          title: Prefix
      type: object
      required:
        - address
        - prefix
      title: IPV4Address
    IPV4Method:
      type: string
      enum:
        - manual
        - auto
        - unknown
      title: IPV4Method

````